The type initialize for ‘Microsoft.Practices.ESB.Configuration’

Asked By 0 points N/A Posted on -
qa-featured

Hey Friends,

I have yet another Microsoft Visual Studio error message. I could figure out, that it could be an issue with ESB.config file, but not sure how to solve that.  

I am getting issues on selecting the Orchestration on the Itinenary Service. The error is shown below. I tried to modify the ESB.config on my other PC but it still the same.

Please help.

Microsoft Visual Studio

The type initialize for

‘Microsoft.Practices.ESB.Configuration.ConfigHelper’ threw an

exception.

OK

SHARE
Answered By 0 points N/A #114864

The type initialize for ‘Microsoft.Practices.ESB.Configuration’

qa-featured

CarlMartinez,

This might mean Microsoft .Net Framework and Microsoft Runtime files, might not be running or are missing from your machine.
Download and install the .Net Framework 4.0  first, followed by Microsoft Runtime Version 10, in this order. 
 
   
    
Reinstalling them might help resolving your errors.
 
Happy Computing.
Answered By 566835 points N/A #299355

The type initialize for ‘Microsoft.Practices.ESB.Configuration’

qa-featured

The problem might be due to missing components that haven’t been installed yet. Since you did not mention what version of Microsoft Visual Studio you are using, try reviewing the system specifications of the version you have installed and make sure all required components and applications like Microsoft .NET Framework have been installed. Also, make sure the version of Microsoft Visual Studio you are using supports your operating system.

If you require installing Microsoft .NET Framework, try installing one of the following versions:

  • Microsoft .NET Framework 3.5 Service Pack 1 – this download supports Windows XP and Windows Vista including Windows Server 2003 and Windows Server 2008.
  • Microsoft .NET Framework 4 – this download supports Windows XP Service Pack 3, Windows Vista Service Pack 1 or higher, and Windows 7 including Windows Server 2003 Service Pack 2, Windows Server 2008 (not supported on Server Core Role), Windows Server 2008 R2 (not supported on Server Core Role), and Windows Server 2008 R2 Service Pack 1 both 32-bit and 64-bit.
  • Microsoft .NET Framework 4.6 – this download supports Windows Vista Service Pack 2, Windows 7, and Windows 8.x including Windows Server 2008 Service Pack 2, Windows Server 2008 R2 Service Pack 1 64-bit only, Windows Server 2012 64-bit only, and Windows Server 2012 R2 64-bit only.

Login/Register to Answer

Related Questions